---
title: Center an element
slug: Web/CSS/Layout_cookbook/Center_an_element
tags:
  - CSS
  - Guide
  - Layout
  - Recipe
  - box alignment
  - centering
  - cookbook
  - flexbox
---
<div>{{CSSRef}}</div>

<p class="summary">In this recipe you will see how to center one box inside another. Centering both horizontally and vertically was difficult before flexbox, with the Box Alignment properties it is now straightforward.</p>

<p><img alt="an element centered inside a larger box" src="https://mdn.mozillademos.org/files/16182/cookbook-center.png" style="height: 421px; width: 1219px;"></p>

<h2 id="Requirements">Requirements</h2>

<p>To place an item into the center of another box horizontally and vertically.</p>

<h2 id="Recipe">Recipe</h2>

<p>{{EmbedGHLiveSample("css-examples/css-cookbook/center.html", '100%', 720)}}</p>

<div class="note">
<p><a href="https://github.com/mdn/css-examples/blob/master/css-cookbook/center--download.html">Download this example</a></p>
</div>

<h2 id="Choices_made">Choices made</h2>

<p>To center one box inside another we make the containing box a flex container. Then set {{cssxref("align-items")}} to center to perform centering on the block axis, and {{cssxref("justify-content")}} to center to perform centering on the inline axis.</p>

<p>In the future we may be able to center elements without needing to turn the parent into a flex container, as the Box Alignment properties used here are specified to apply to block layout too. However, support is currently limited for box alignment properties on block layout, so currently centering using Flexbox is the most robust way to achieve this.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The various layout methods have different browser support. See the charts below for details on basic support for the properties used.</p>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<h4 id="align-items">align-items</h4>

<p>{{Compat("css.properties.align-items")}}</p>

<h4 id="justify-content">justify-content</h4>

<p>{{Compat("css.properties.justify-content")}}</p>

<h2 id="Resources_on_MDN">Resources on MDN</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Alignment/Box_Alignment_in_Flexbox">Box Alignment in Flexbox</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Alignment">CSS Box alignment guide</a></li>
</ul>
